<script type="text/html" data-help-name="dim-cmd-server">
  <p>A DIM Server node providing a Command service.</p>
  <h3>Outputs</h3>
  <dl class="message-properties">
    <dt>payload<span class="property-type">string | number | array</span></dt>
    <dd>The command received. It is made up of the command arguments.</dd>
  </dl>
  <h3>Details</h3>
  <p>
    This node registers a Command service on a DIM Name Server (DNS). A
    connection to the DNS Server is required for this purpose, which can be
    created by clicking on the pencil icon or selecting an existing one shared
    between several DIM nodes.
  </p>
  <p>The service consists of:</p>
  <ul>
    <li><i>Service Name</i>, the service identifier. It must be unique for a
      given DNS Server and comply the following
      <a target="_blank" href="https://www.rfc-editor.org/info/rfc5234">
        abnf syntax
      </a>:
      <pre><b>part *( "/" part )</b>
        <br>part = (ALPHA / DIGIT) *body
        <br>body = (ALPHA / DIGIT / "-" / "+" / "_" / "." / ":")</pre>
    <li><i>Service Definition</i>, the data content that the service provide.
      It must match the following
      <a target="_blank" href="https://www.rfc-editor.org/info/rfc5234">
        abnf syntax
      </a>:
      <pre><b>*(type ":" num ";") type [":" num]</b>
        <br>type = "C" / "S" / "I" / "X" / "F" / "D"
        <br>num = 1*DIGIT</pre>
      <p>
        where types are:
        <table style="outline-width:#888 solid thin">
          <tr><th width="50px">type</th><th width="80px">description</th></tr>
          <tr><td><left>C</left></td><td><center>string</center></td></tr>
          <tr><td><left>S</left></td><td><center>int16</center></td></tr>
          <tr><td><left>I</left></td><td><center>int32</center></td></tr>
          <tr><td><left>X</left></td><td><center>int64</center></td></tr>
          <tr><td><left>F</left></td><td><center>float</center></td></tr>
          <tr><td><left>D</left></td><td><center>double</center></td></tr>
        </table>
      </p>
  </ul>
  <p>
    <b>Examples</b>:
    <ul>
      <li><i>Service Name</i>: <pre>/command/name/test</pre>
      <li><i>Service Definition</i>: <pre>I:2;C</pre>
    </ul>
  </p>
</script>
